Skip to main content
POST
cURL

Field support per integration

If you’re not using the Interactive Authentication Flow, make sure the query parameters environmentName and companyId are correctly populated. You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.
Supported request parameters:
object
required
BookingType
required
Available options: BILLNote: Business Central booking proposals are created as purchase invoices, so only BILL type is supported.
file[]
The files array can be used to attach files to the booking proposal. Only one file can be attached.
The name of the uploaded files must include the file extension, for example invoice.pdf.
This endpoint has been deprecated. Please use the Create Booking Proposal Async endpoint.
This endpoints is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Supported request parameters:
string
required
BookingType
required
Available options: INVOICE, BILL
file[]
The files array can be used to attach files to the booking proposal.
The name of the uploaded files must include the file extension, for example invoice.pdf.
The file name must not exceed 255 characters in length.
FolderManagement
The folderManagement object defines the three-level folder structure for a booking proposal. If not provided, the default structure will be used.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is correctly populated. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Supported request parameters:
string
required
BookingType
required
Available options: INVOICE, BILL, INVOICE_CREDIT_NOTE
file[]
The file name must not exceed 255 characters in length.
Supported request parameters:
string
required
BookingType
required
Available options: BILL, INVOICE
file[]
The file name must not exceed 255 characters in length.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is correctly populated. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Supported request parameters:
string
required
BookingType
required
Available options: BILL, INVOICE
file[]
The file name must not exceed 255 characters in length.
This endpoint is available only for the following countries: Accounting Plus: Canada, United Kingdom, Ireland
Accounting Standard: United Kingdom, Ireland
Accounting Start: Canada, United Kingdom, Ireland
When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the GET Companies call to retrieve all businesses available for the user. The user will then select one of these businesses. It is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup.
Supported request parameters:
string
required
BookingType
required
Available options: INVOICE
Supported request parameters:
string
required
BookingType
required
Available options: INVOICE, BILL
file[]
The file name must not exceed 255 characters in length.
Supported request parameters:
string
required
BookingType
required
Available options: INVOICE, BILL, INVOICE_CREDIT_NOTE, BILL_CREDIT_NOTE
file[]
The file name must not exceed 255 characters in length.
Supported request fields:
string
required
BookingType
required
Available options: BILL, INVOICE
Supported request parameters:
string
required
BookingType
required
Available options: BILL, INVOICE
file[]
The file name must not exceed 255 characters in length.

Headers

X-API-KEY
string
required

API key

Example:

"example value"

X-ACCOUNT-KEY
string
required

Account key

Example:

"example value"

Query Parameters

companyId
string

Body

multipart/form-data
bookingProposal
object
bookingType
enum<string>
Available options:
INVOICE,
BILL,
INVOICE_CREDIT_NOTE
files
file[]

Array of files to upload

folderManagement
object

Response

200 - application/json
meta
object
data
object
Last modified on July 20, 2026